# Class AbstractAppController

#### Hierarchy

- AbstractAppController

- Defined in src/controllers/AbstractAppController.js:83

#####
Index

### Constructors

constructor

### Properties

$scope
backgroundLayerMgr_
defaultLang
dimensions
displaywindowContent
displaywindowDraggableContainment
displaywindowHeight
displaywindowOpen
displaywindowTitle
displaywindowUrl
displaywindowWidth
drawFeatureLayer
filterSelectorActive
filterSelectorEnabled
gettextCatalog
gmfThemeManager
gmfThemes
gmfTreeManager_
gmfUser
hasEditableLayers
lang
langUrls
loading
loginActive
loginInfoMessage
loginRedirectUrl
manageResize
map
mapToolsGroup
ngeoLocation
ngeoMapQuerent_
options
permalink_
postLoading
queryActive
resizeTransition
stateManager
tmhDynamicLocale
updateHasEditableLayers_

### Methods

initLanguage
setDefaultBackground_
switchLanguage

## Constructors

### constructor

- new AbstractAppController($scope: IScope, $injector: IInjectorService, mobile?: boolean): AbstractAppController

- Application abstract controller.

  Used functionalities:

  - `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.

  ### Ngdoc

  controller

  ### Ng Inject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  - ##### `Optional` mobile: boolean

    Is mobile.

  #### Returns AbstractAppController

  - Defined in src/controllers/AbstractAppController.js:83

## Properties

### $scope

$scope: IScope

- Defined in src/controllers/AbstractAppController.js:422

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

- Defined in src/controllers/AbstractAppController.js:378

### defaultLang

defaultLang: any

Default language

- Defined in src/controllers/AbstractAppController.js:434

### dimensions

dimensions: Object

- Defined in src/controllers/AbstractAppController.js:353

### displaywindowContent

displaywindowContent: string

- Defined in src/controllers/AbstractAppController.js:533
- Defined in src/controllers/AbstractAppController.js:574

### displaywindowDraggableContainment

displaywindowDraggableContainment: string

- Defined in src/controllers/AbstractAppController.js:579

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractAppController.js:495
- Defined in src/controllers/AbstractAppController.js:584

### displaywindowOpen

displaywindowOpen: boolean

- Defined in src/controllers/AbstractAppController.js:489
- Defined in src/controllers/AbstractAppController.js:589

### displaywindowTitle

displaywindowTitle: string

- Defined in src/controllers/AbstractAppController.js:488
- Defined in src/controllers/AbstractAppController.js:594

### displaywindowUrl

displaywindowUrl: string

- Defined in src/controllers/AbstractAppController.js:519
- Defined in src/controllers/AbstractAppController.js:599

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractAppController.js:492
- Defined in src/controllers/AbstractAppController.js:604

### drawFeatureLayer

drawFeatureLayer: FeatureOverlay

- Defined in src/controllers/AbstractAppController.js:182

### filterSelectorActive

filterSelectorActive: boolean

- Defined in src/controllers/AbstractAppController.js:305

### filterSelectorEnabled

filterSelectorEnabled: boolean

- Defined in src/controllers/AbstractAppController.js:298
- Defined in src/controllers/AbstractAppController.js:395

### gettextCatalog

gettextCatalog: gettextCatalog

The gettext catalog

- Defined in src/controllers/AbstractAppController.js:448

### gmfThemeManager

gmfThemeManager: any

- Defined in src/controllers/AbstractAppController.js:196

### gmfThemes

gmfThemes: any

Themes service

- Defined in src/controllers/AbstractAppController.js:208

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/controllers/AbstractAppController.js:201

### gmfUser

gmfUser: any

- Defined in src/controllers/AbstractAppController.js:326
- Defined in src/controllers/AbstractAppController.js:333
- Defined in src/controllers/AbstractAppController.js:336

### hasEditableLayers

hasEditableLayers: boolean

- Defined in src/controllers/AbstractAppController.js:238

### lang

lang: string

- Defined in src/controllers/AbstractAppController.js:427
- Defined in src/controllers/AbstractAppController.js:660

### langUrls

langUrls: any

Languages URL

- Defined in src/controllers/AbstractAppController.js:441

### loading

loading: boolean

Checks if the themes are loaded

- Defined in src/controllers/AbstractAppController.js:215
- Defined in src/controllers/AbstractAppController.js:217

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractAppController.js:266
- Defined in src/controllers/AbstractAppController.js:341

### loginInfoMessage

loginInfoMessage: string

Information message for the login form.

- Defined in src/controllers/AbstractAppController.js:261
- Defined in src/controllers/AbstractAppController.js:264
- Defined in src/controllers/AbstractAppController.js:272

### loginRedirectUrl

loginRedirectUrl: string

URL to redirect to after login success.

- Defined in src/controllers/AbstractAppController.js:254
- Defined in src/controllers/AbstractAppController.js:265
- Defined in src/controllers/AbstractAppController.js:273

### manageResize

manageResize: boolean

Whether to update the size of the map on browser window resize.

- Defined in src/controllers/AbstractAppController.js:542

### map

map: Map

- Defined in src/controllers/AbstractAppController.js:167

### mapToolsGroup

mapToolsGroup: string

- Defined in src/controllers/AbstractAppController.js:455

### ngeoLocation

ngeoLocation: StatemanagerLocation

Location service

- Defined in src/controllers/AbstractAppController.js:157

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

- Defined in src/controllers/AbstractAppController.js:407

### options

options: any

- Defined in src/controllers/AbstractAppController.js:90

### permalink_

permalink_: any

Permalink service

- Defined in src/controllers/AbstractAppController.js:233

### postLoading

postLoading: boolean

This property is set to `true` when the themes change after a successful login

- Defined in src/controllers/AbstractAppController.js:226

### queryActive

queryActive: boolean

The active state of the ngeo query directive.

- Defined in src/controllers/AbstractAppController.js:402

### resizeTransition

resizeTransition: number

- Defined in src/controllers/AbstractAppController.js:551

### stateManager

stateManager: StatemanagerService

- Defined in src/controllers/AbstractAppController.js:412

### tmhDynamicLocale

tmhDynamicLocale: IDynamicLocale

- Defined in src/controllers/AbstractAppController.js:417

### updateHasEditableLayers_

updateHasEditableLayers_: typeof __function

- Defined in src/controllers/AbstractAppController.js:243

## Methods

### initLanguage

- initLanguage(): void

- #### Returns void

  - Defined in src/controllers/AbstractAppController.js:665

### setDefaultBackground_

- setDefaultBackground_(theme: any): void

- #### Parameters

  - ##### theme: any

    Theme.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:696

### switchLanguage

- switchLanguage(lang: string): void

- #### Parameters

  - ##### lang: string

    Language code.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:653

Generated using TypeDoc